Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenExpressionInterpreter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenExpressionProviderBase, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenExpressionInterpreterImpl

    public interface GenExpressionInterpreter

extends GenExpressionProviderBase

A representation of the model object 'Gen Expression Interpreter'.

The following features are supported:

- `Language`
- `Class Name`

See Also:
  `GMFGenPackage.getGenExpressionInterpreter()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`java.lang.String` `getExpressionAccessor(ValueExpression expression)`
`GenLanguage` `getLanguage()` Returns the value of the 'Language' attribute.
`java.lang.String` `getQualifiedClassName()`
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setLanguage(GenLanguage value)` Sets the value of the '`Language`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenExpressionProviderBase
`getContainer, getExpressions`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getGenExpressionInterpreter_ClassName()`
  ** Generated **
  Model:

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getLanguage

    GenLanguage getLanguage()

  Returns the value of the 'Language' attribute. The literals are from the enumeration `GenLanguage`.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLanguage` in interface `GenExpressionProviderBase`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `GenLanguage`, `setLanguage(GenLanguage)`, `GMFGenPackage.getGenExpressionInterpreter_Language()`
  ** Generated **
  Model:
    required="true"

### setLanguage

    void setLanguage(GenLanguage value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `GenLanguage`, `getLanguage()`
  ** Generated **

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation" required="true"

### getExpressionAccessor

    java.lang.String getExpressionAccessor(ValueExpression expression)

  ** Generated **
  Model:
    expressionRequired="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.